Distribution EOLE - Tache #30485
Scénario # 30270 (Terminé (Sprint)): Portage python3 de I'EAD2

Les permissions de I’'amon présentent un doublon
31/07/2020 16:12 - Benjamin Bohard

Statut: Fermé Début: 02/06/2020
Priorité: Normal Echéance:
Assigné a: Benjamin Bohard % réalisé: 100%
Version cible: Prestation Cadoles MEN 28-35 (été Temps estimé: 0.00 heure
2020)
Temps passé: 0.00 heure
Description

Révisions associées

Révision 7a71b717 - 03/08/2020 10:27 - Benjamin Bohard

Force strict=False to mimic previous behavior of ConfigParser.

Ref #30485

Historique

#1 - 03/08/2020 09:59 - Benjamin Bohard

Dans la version python2, ConfigParser ne fait pas une erreur lors du chargement du fichiers perm_amon.ini. Dans le cas d’un doublon, la derniére
occurrence de I'option écrase les occurrences précédentes.

Dans la version python3, la rencontre d’une option déja présente pour une section déclenche une erreur DuplicateOptionError.

La documentation rapporte ce changement de comportement :

strict, default value: True
When set to True, the parser will not allow for any section or option duplicates while reading from a single s
ource (using read_file(), read_string() or read_dict()). It is recommended to use strict parsers in new applic

ations.

Changed in version 3.2: In previous versions of configparser behaviour matched strict=False.

#2 - 03/08/2020 11:35 - Benjamin Bohard

- Statut changé de Nouveau a Résolu

#3 - 03/08/2020 11:35 - Benjamin Bohard

- Assigné a mis a Benjamin Bohard
#4 - 18/08/2020 11:30 - Joél Cuissinat
- Statut changé de Résolu a Fermé
- % réalisé changé de 0 a 100

- Restant a faire (heures) mis a 0.0
